#' Estimate pitch by camping
#' 
#' @description
#' This function is used for test purposes.
#'
#' @param dataset sf object, asset layer.
#' @param pitch character, which types of pitches that should be estimated.
#'
#' @return A data.frame of pitches by camping.

estimate_pitch = function(
    dataset,
    pitch = getOption("floodam.campsite")[["pitch"]]
) {
    n_pitch = sprintf("n_%s", pitch)
    result = stats::aggregate(
        sf::st_drop_geometry(dataset[n_pitch]),
        sf::st_drop_geometry(dataset["camping"]),
        sum,
        na.rm = TRUE
    )
    names(result) = c("camping", pitch)
    
    return(result)
}
