plot_campsite = function(camping, path, camp_n1, hydraulic, camp_n1_h, camp_n3)
{
    if (!missing(path)) {
        path = file.path(
            path,
            sprintf("%s.pdf", gsub("[ ']", "_", tolower(camping)))
        )
        grDevices::cairo_pdf(path)
        on.exit(grDevices::dev.off())
    }

    case = camp_n1[camp_n1[["camping"]] == camping,]
    case_1 = camp_n1_h[camp_n1_h[["camping"]] == camping,]
    case_3 = camp_n3[camp_n3[["camping"]] == camping,]
    crop_hydrau = suppressWarnings(sf::st_crop(hydraulic, sf::st_bbox(case)))

    if (suppressWarnings(max(crop_hydrau[["height"]])) == -Inf) {
        top_height = 1
    } else {
        top_height = max(crop_hydrau[["height"]])
    }
    h_step = .25
    h_breaks = seq(0, ceiling(top_height / h_step) * h_step, h_step)
    h_col = grDevices::colorRampPalette(c("blue", "red"))(length(h_breaks) - 1)

    e_border = c(
        "none" = "gray",
        "chalet" = "orange",
        "bare pitch" = "black",
        "mobil-home" = "pink"
    )

    if (nrow(crop_hydrau) > 0) {
        plot(
            main = camping, axes = TRUE, reset = FALSE, extent = case,
            crop_hydrau["height"],
            col = h_col[cut(crop_hydrau[["height"]], h_breaks)],
            border = "black",
        )
        plot(
            add = TRUE, 
            case_1["height"],
            col = h_col[cut(case_1[["height"]], h_breaks)], border = "gray"
        )
        plot(
            add = TRUE,
            case_3["height"],
            col = h_col[cut(case_3[["height"]], h_breaks)],
            border = e_border[case_3[["elementary"]]], lwd = 2
        )
        plot(
            camp_n1[camp_n1[["camping"]] == camping, 0], add = TRUE,
            border = "green", col = NA, lwd = 4
        )
    } else {
        plot(
            main = camping, axes = TRUE, reset = FALSE, extent = case,
            case_3["height"],
            col = h_col[cut(case_3[["height"]], h_breaks)],
            border = e_border[case_3[["elementary"]]], lwd = 2
        )
        plot(
            camp_n1[camp_n1[["camping"]] == camping, 0], add = TRUE,
            border = "green", col = NA, lwd = 4
        )  
    }
}