# floodam.campsite <img src="man/figures/logo.png" align="right" width="25%" height="25%"/>
## Welcome to floodam.campsite

**floodam.campsite** is a R library for estimating flood damage for campsites.

This library has been developed within the French working group "GT AMC" which aims at developing methodologies for the economic appraisal of flood management policies.
In this context, the development of **floodam.campsite** has received the support of the French Ministry in charge of the Environment.

## What **floodam.campsite** can do

**floodam.campsite** is based on a decomposition of a campsite in 3 types of pitches (bare picth, mobil-home and chalet). Each type of pitches is consiered as a type of asset, with a flood damage function. Flood damage functions describes both the monetary damage to restore an asset to its original state and also how muwh time is necessary to perform this action.

With a description of campiste (composition, localization, prices) and a scenario of flooding, **floodam.campsite** can calculate the following outputs:

- monetary estimation of material damage at campsite level
- time estimation of business interruption
- monetary estimation of loss of business at campsite level.

## What **floodam.campsite** cannot do

**floodam.campsite** cannot (and is not intended to):

- to be precised.

**floodam.campsite** cannot (but should at some point be able to) :

- include other type of assets that may also be present in a campsite
- calculate the uncertainty of damage estimations
- perform a sensitivity analysis of damage estimations

## How to get **floodam.campsite**?

You can download and install it from this archive: [www.floodam.org/library/floodam.campsite_1.0.0.0.tar.gz](http://www.floodam.org/library/floodam.campsite_1.0.0.0.tar.gz).

For instance, from a terminal, the command you can use is:

```{.bash filename="terminal"} 
R -e "install.packages(
    pkgs = 'http://www.floodam.org/library/floodam.campsite_1.0.0.0.tar.gz',
    type = 'source',
    repos = NULL,
    dependencies = TRUE)"
```

## How to help for the development of **floodam.campsite**?

Contact us.