% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/load_campsite.R
\name{load_campsite}
\alias{load_campsite}
\title{Load information for campsite}
\usage{
load_campsite(
  path,
  campsite,
  detail = c("uniform", "zonal", "detail"),
  crs,
  category = floodam.campsite::elementary_category
)
}
\arguments{
\item{path}{character, path to asset layer.}

\item{campsite}{data.frame, essential characteristics of campsites.}

\item{detail}{character, how detailled are the data provided by the asset
layer. See details.}

\item{crs}{character, detail level at which analysis is done
[TO BE REMOVED].}

\item{category}{data.frame, category of elementary components. Default to
`floodam.campsite::elementary_category`.}
}
\value{
An sf object with campsites' informations.
}
\description{
`load_campsite()` load a spatial layer describing campsites. It performs also
some transformations.

It categorises elements depending on `category`. It also adds data provided
by `campsite` to estimates, for each entity in the campsite layer how much
element are present (bare pitch, mobil-home and chalet). This estimation
depends on `detail`. If `crs` is provided it changes the crs of the layer
accordingly.
}
